<?php

namespace App\Providers;

use App\Models\MemeMedia;
use App\Observers\MemeMediaObserver;
use App\Services\TrackingAnalyticsService;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        $this->app->singleton('tracking-analytics', function ($app) {
            return new TrackingAnalyticsService;
        });
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        MemeMedia::observe(MemeMediaObserver::class);
    }
}
